curl --request PATCH \
--url https://api.hubapi.com/events/v3/event-definitions/{eventName}/property/{propertyName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"label": "<string>",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
]
}
'{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}curl --request PATCH \
--url https://api.hubapi.com/events/v3/event-definitions/{eventName}/property/{propertyName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"label": "<string>",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
]
}
'{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
HubSpotプロパティー
プロパティーの目的の要約。
HubSpotのUIまたはフォーム上でプロパティーがどう表示されるかを指定します。詳細はプロパティーAPIガイドをご確認ください。
プロパティーが割り当てられているグループの名前。
プロパティーの表示ラベル。
プロパティーの内部名。
プロパティーの有効なオプションのリスト。このフィールドは列挙型のプロパティーに必要です。
Show child attributes
文字列や数値など、プロパティーのデータ型。
プロパティーがアーカイブされているかどうか。
プロパティーがアーカイブされた時刻のタイムスタンプ(ISO 8601形式)。
プロパティーが計算フィールドかどうか。
計算プロパティーに使用される式。
プロパティーが作成された時刻のタイムスタンプ(ISO 8601形式)。
プロパティーを作成したユーザーのID。
「non_sensitive」、「sensitive」、「highly_sensitive」など、プロパティーのセンシティブ(慎重に扱うべき)レベルを示します。
highly_sensitive, non_sensitive, sensitive absolute, absolute_with_relative, time_since, time_until リスト内項目の他の項目との相対位置。
列挙型のプロパティーにのみ適用されます。trueに設定し、「referencedObjectType」を「OWNER」に設定します。それ以外の場合はfalse。
プロパティーをフォームで表示できるかどうか。
プロパティーが固有IDプロパティーかどうか。
プロパティーをHubSpot UIから非表示にするかどうか。カスタムプロパティーの場合は、これをfalseに設定することが推奨されます。
false
HubSpotデフォルトプロパティーについてtrueに設定されるブール値。
Show child attributes
非推奨。代わりにexternalOptionsReferenceTypeを使用してください。
sensitiveDataがtrueの場合、プロパティーに含まれるセンシティブデータのタイプを示します(例:「HIPAA」)。
HubSpotのUIに通貨記号を表示するかどうか。
プロパティーが最後に更新されたタイムスタンプ(ISO 8601形式)。